Subject: Re: [PATCH 1/2] Modified flag field type in rev_list_info struct in bisect.h. There is no need for flag field to be signed, as it is not supposed to be used as decimal.

From: work <[email-masked]>
Date: Fri, 25 Mar 2016 15:53:36 +0300

Yep. Thanks for your remarks. I have made a bit more research about 
using old rev_list_info struct (with signed int flag) and realized, that 
it doesn't appear in expressions, where using signed integer will differ 
from unsigned one.
I'll take using 'unsigned' instead of 'unsigned int' in account, so if 
needed, I can remake the patch in order to get it accepted.

On 03/25/2016 09:18 AM, Junio C Hamano wrote:
> Stefan Beller <[email-masked]> writes:
>
>> Maybe my exposure to the code was accidentally in a way such that
>> I ever only saw the version without int.
> The older part of the code tends to spell flag words with "unsigned"
> without "int", which is primarily historical fault of mine.
>